unit MainUnit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, RTFHintUnit, ComCtrls, ExtCtrls, ImgList, OleRichEditUnit;

type
  TMainForm = class(TForm)
    Button1: TButton;
    Label1: TLabel;
    Rounded: TEdit;
    UpDown1: TUpDown;
    Label2: TLabel;
    Bevel1: TBevel;
    Arrow: TCheckBox;
    Shadow: TCheckBox;
    Label3: TLabel;
    Transparency: TEdit;
    UpDown2: TUpDown;
    Label4: TLabel;
    Label5: TLabel;
    Animation: TEdit;
    UpDown3: TUpDown;
    Label6: TLabel;
    Border: TCheckBox;
    Bevel2: TBevel;
    Button3: TButton;
    Button4: TButton;
    Label7: TLabel;
    Shape1: TShape;
    ColorDialog1: TColorDialog;
    RTFHint1: TRTFHint;
    procedure Button3Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Changed(Sender: TObject);
    procedure Shape1MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure EditHint(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
    FUpdate : boolean;
    procedure SetupControls;
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

{$R *.DFM}

uses
  AboutUnit, RTFEditorUnit;

procedure TMainForm.SetupControls;
begin
  FUpdate := TRUE;
  try
    Arrow.Checked := RTFHint1.DrawArrow;
    Shadow.Checked := RTFHint1.DrawShadow;
    Border.Checked := RTFHint1.DrawBorder;
    Rounded.Text := IntToStr( RTFHint1.Rounded );
    Transparency.Text := IntToStr( RTFHint1.Transparency );
    Animation.Text := IntToStr( RTFHint1.Animation );
    Shape1.Brush.Color := RTFHint1.BackColor;
  finally
    FUpdate := FALSE;
  end;
end;

procedure TMainForm.Button3Click(Sender: TObject);
begin
  Close;
end;

procedure TMainForm.FormCreate(Sender: TObject);
begin
  //SetupControls;
  FUpdate := TRUE;
end;

procedure TMainForm.Changed(Sender: TObject);
begin
  if FUpdate then Exit;

  if Sender = Arrow then RTFHint1.DrawArrow := Arrow.Checked
  else
  if Sender = Shadow then RTFHint1.DrawShadow := Shadow.Checked
  else
  if Sender = Border then RTFHint1.DrawBorder := Border.Checked
  else
  if Sender = Rounded then RTFHint1.Rounded := StrToInt( Rounded.Text )
  else
  if Sender = Transparency then RTFHint1.Transparency := StrToInt( Transparency.Text )
  else
  if Sender = Animation then RTFHint1.Animation := StrToInt( Animation.Text )
  else
  if Sender = Shape1 then
  begin
    ColorDialog1.Color := Shape1.Brush.Color;
    if ColorDialog1.Execute then Shape1.Brush.Color := ColorDialog1.Color;
    RTFHint1.BackColor := Shape1.Brush.Color;
  end;
end;

procedure TMainForm.Shape1MouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
  Changed( Sender );
end;

procedure TMainForm.EditHint(Sender: TObject);
begin

  with TRTFEditorForm.Create( Application ) do
    try
      if Sender = Button1 then Text := Button1.Hint;
      //else
      //if Sender = Button2 then Text := Button2.Hint;
      if Execute then
      begin
        if Sender = Button1 then Button1.Hint := Text;
        //else
        //if Sender = Button2 then Button2.Hint := Text;
      end;
    finally
      Free;
    end;

end;

procedure TMainForm.Button4Click(Sender: TObject);
begin
  with TAboutForm.Create( Application ) do
    try
      Execute;
    finally
      Free;
    end;
end;

procedure TMainForm.FormShow(Sender: TObject);
begin
  SetupControls;
end;

end.
